package model

import "gorm.io/gorm"

type ColorSpu struct {
	gorm.Model
	CompleteSpuStyleNumber string `gorm:"uniqueIndex:style; size:50; not null"`
	ColorCode              string `gorm:"uniqueIndex:style; size:50; not null"`
	Color                  Color  `gorm:"embedded;embeddedPrefix:color_"`
	InfoSelect             string `gorm:"not null; size:24"` // 商品信息默认选择哪个商品

	// 外键
	// 多对一
	Skus   Skus   `gorm:"foreignKey:ColorSpuStyleNumber,ColorSpuColorCode; references:CompleteSpuStyleNumber,ColorCode; constraint:OnUpdate:CASCADE,OnDelete:CASCADE"`
	Images Images `gorm:"foreignKey:ColorSpuStyleNumber,ColorSpuColorCode; references:CompleteSpuStyleNumber,ColorCode; constraint:OnUpdate:CASCADE,OnDelete:CASCADE"`
}

type ColorSpus []ColorSpu

type Color struct {
	Id        string `gorm:"size:50; not null"`
	Name      string `gorm:"size:50; not null"`
	BasicId   string `gorm:"size:50; not null"`
	BasicName string `gorm:"size:50; not null"`
}
